Il ruolo client-conf installa i file sotto /var/www con permessi troppo restrittivi
12/13/2016 04:58 PM - Simone Piccardi

Status: Chiuso Start date: 12/13/2016
Priority: Normale Due date:

Assignee: Simone Piccardi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

La creazione dei file e delle directoru da parte di roles/client-conf/tasks/main.yml sembra essere soggetta ad una umask di 027,
invece che di 022. Quindi bisogna ricorreggere tutti i permessi.

Prima di farlo € il caso di capire perché questo scostamento dal default, e casomai assicurarsi di togliere i permessi nel numero,
minore, di casi in cui questi hon ci devono essere.

Ad occhio dipende dal fatto che si fa os.umask(0027) prima di salvare /etc/fuss-server/fuss-server.yaml e poi quella resta.

Al momento Apache non ha accesso né a /var/www/fuss-data-conf né a /var/www/webpasswd.

History

#1 - 12/14/2016 12:10 PM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Simone Piccardi

umask riportata a 022 dopo la scrittura di /etc/fuss-server/fuss-server.yaml, adesso dovrebbe essere a posto (ho controllato che quelle directory e i
loro file fossero leggibili da world e lo sono).

#2 - 12/16/2016 12:28 PM - Simone Piccardi

- Status changed from Commenti to Chiuso

Verificato che & a posto.
